# Enum Class FileVisitOption

java.lang.Object
java.lang.Enum<FileVisitOption>
java.nio.file.FileVisitOption

All Implemented Interfaces:
  `Serializable`, `Comparable<FileVisitOption>`, `Constable`

public enum FileVisitOption extends Enum<FileVisitOption>
Defines the file tree traversal options.

Since:
  1.7
See Also:
  - `Files.walkFileTree(java.nio.file.Path, java.util.Set<java.nio.file.FileVisitOption>, int, java.nio.file.FileVisitor<? super java.nio.file.Path>)`

## Nested Class Summary

### Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FOLLOW_LINKS`
Follow symbolic links.

## Method Summary

Modifier and Type
Method
Description
`static FileVisitOption`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FileVisitOption[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FOLLOW_LINKS

public static final FileVisitOption FOLLOW_LINKS
Follow symbolic links.

## Method Details

### values

public static FileVisitOption[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FileVisitOption valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null